Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.sql
Class QSqlDriver.StatementType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.sql.QSqlDriver.StatementType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QSqlDriver

    public static final class QSqlDriver.StatementType

extends java.lang.Enum
implements QtEnumerator

This enum contains a list of SQL statement (or clause) types the driver can create.

See also:
  `sqlStatement()`.

See Also:
  Serialized Form

Field Summary
`static QSqlDriver.StatementType` | `DeleteStatement` An SQL `DELETE` statement (e.g., `DELETE FROM t`).
`static QSqlDriver.StatementType` | `InsertStatement` An SQL `INSERT` statement (e.g., `INSERT INTO t (f) values (1)`).
`static QSqlDriver.StatementType` | `SelectStatement` An SQL `SELECT` statement (e.g., `SELECT f FROM t`).
`static QSqlDriver.StatementType` | `UpdateStatement` An SQL `UPDATE` statement (e.g., `UPDATE TABLE t set f = 1`).
`static QSqlDriver.StatementType` | `WhereStatement` An SQL `WHERE` statement (e.g., `WHERE f = 5`).

Method Summary
`static QSqlDriver.StatementType` | `resolve(int value)` Returns the QSqlDriver$StatementType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSqlDriver.StatementType` | `valueOf(java.lang.String name)`
`static QSqlDriver.StatementType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### WhereStatement

    public static final QSqlDriver.StatementType WhereStatement

  An SQL `WHERE` statement (e.g., `WHERE f = 5`).

### SelectStatement

    public static final QSqlDriver.StatementType SelectStatement

  An SQL `SELECT` statement (e.g., `SELECT f FROM t`).

### UpdateStatement

    public static final QSqlDriver.StatementType UpdateStatement

  An SQL `UPDATE` statement (e.g., `UPDATE TABLE t set f = 1`).

### InsertStatement

    public static final QSqlDriver.StatementType InsertStatement

  An SQL `INSERT` statement (e.g., `INSERT INTO t (f) values (1)`).

### DeleteStatement

    public static final QSqlDriver.StatementType DeleteStatement

  An SQL `DELETE` statement (e.g., `DELETE FROM t`).

Method Detail

### values

    public static QSqlDriver.StatementType[] values()

### valueOf

    public static QSqlDriver.StatementType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSqlDriver.StatementType resolve(int value)

  Returns the QSqlDriver$StatementType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD